Name:           libpqxx
Version:        2.6.8
Release:        7%{?dist}
Summary:        C++ client API for PostgreSQL

Group:          System Environment/Libraries
License:        BSD
URL:            http://pqxx.org/
Source0:        http://pqxx.org/download/software/libpqxx/libpqxx-%{version}.tar.gz
Source1:        http://pqxx.org/download/software/libpqxx/libpqxx-%{version}.tar.gz.md5sum
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# drop -Werror for now, since we get -fvisibility warnings using gcc-4.1.1/fc6+
# http://thaiopensource.org/development/libpqxx/ticket/83
Patch1:		libpqxx-2.6.8-visibility.patch

BuildRequires:  postgresql-devel
BuildRequires:  pkgconfig

%description
C++ client API for PostgreSQL. The standard front-end (in the sense of
"language binding") for writing C++ programs that use PostgreSQL.
Supersedes older libpq++ interface.

%package devel
Summary:        Development tools for libpqxx
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       postgresql-devel

%description devel
The libpgxx-devel package contains the header files and static
libraries necessary for developing programs which use libpqxx.

%prep
%setup -q

%patch1 -p1 -b .visibility

%build
%configure --enable-shared --disable-static
# I hate rpath... ;)
%{__perl} -pi -e 's/hardcode_into_libs=yes/hardcode_into_libs=no/;' \
libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
%{__perl} -pi -e 's,-R/usr/lib,,' $RPM_BUILD_ROOT%{_bindir}/pqxx-config

%check 
# not enabled, by default, takes awhile.
%{?_with_check:make check }

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO VERSION
%{_libdir}/libpqxx-*.so

%files devel
%defattr(-,root,root,-)
%doc README-UPGRADE
%{_bindir}/pqxx-config
%{_libdir}/libpqxx.so
%{_includedir}/pqxx
%{_libdir}/pkgconfig/libpqxx.pc

%changelog
* Fri Aug 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 2.6.8-7
- update Source URL's

* Mon Jun 04 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 2.6.8-6
- 2.6.9 pulled, revert to 2.6.8 (for koffice)

* Tue May 22 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 2.6.9-1
- libpqxx-2.6.9

* Wed Dec 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.6.8-5
- re-enable visibility patch (bummer, still needed)

* Wed Dec 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.6.8-4
- respin for postgresql
- drop visibility patch

* Wed Oct 04 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.6.8-3
- respin

* Wed Sep 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.6.8-1
- fc6+: drop -Werror (for now) 
- include %%check section (not used, by default)

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.6.7-2
- version upgrade

* Thu Aug 03 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.6.7-1
- version upgrade
- fix #192933

* Mon May 29 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.6.6-1
- version upgrade

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.5.5-7
- Rebuild for Fedora Extras 5

* Wed Sep 28 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.5.5-6
- fix #169441

* Tue Sep 27 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.5.5-5
- try fc5 build

* Tue Sep 27 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.5.5-4
- version upgrade

* Tue Jul 05 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.5.4-4
- add dist tag

* Fri Jul 01 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.5.4-3
- add postgresql-devel to Requires for devel package
- get rid of -R option in pqxx-config
- don't need BuildRequires perl

* Thu Jun 30 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.5.4-2
- Drop explicit Requires for ldconfig

* Sat Jun 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.5.4-1
- Initial Release
